/****************************************************************************\
* jitter3.c                                                                   *
* 14/02/2011                                                                 *
* wakibaki                                                                   *
\****************************************************************************/

#include <stdio.h> 
#include <io.h> 
#include <fcntl.h> 
#include <ctype.h>

void main();
 
void main()
{ 
	FILE *fp;
	long length, fileptr;
	unsigned char d;
	int i;
 
	printf("\jitter3\n\n");
	printf("Press a key to continue...\n");
	getch();
	length=13781;
	if((fp=fopen("jitter3.wav","wb"))!=NULL){
		d='R';						/* Chunk ID*/
		fputc(d,fp);
		d='I';
		fputc(d,fp);
		d='F';
		fputc(d,fp);
		d='F';
		fputc(d,fp);
		d=0xE4;						/* Chunk Size, 36+No of samples */
		fputc(d,fp);
		d=0x7F;
		fputc(d,fp);
		d=0xA1;
		fputc(d,fp);
		d=0x00;
		fputc(d,fp);
		d='W';						/* Format */
		fputc(d,fp);
		d='A';
		fputc(d,fp);
		d='V';
		fputc(d,fp);
		d='E';
		fputc(d,fp);
		d='f';						/* SubChunk 1 ID*/
		fputc(d,fp);
		d='m';
		fputc(d,fp);
		d='t';
		fputc(d,fp);
		d=' ';
		fputc(d,fp);
		d=0x10;						/* SubChunk 1 size */
		fputc(d,fp);
		d=0x00;
		fputc(d,fp);
		d=0x00;
		fputc(d,fp);
		d=0x00;
		fputc(d,fp);
		d=0x01;						/* Audio Format*/
		fputc(d,fp);
		d=0x00;
		fputc(d,fp);
		d=0x02;						/* NumChannels */
		fputc(d,fp);
		d=0x00;
		fputc(d,fp);
		d=0x44;						/* Sample rate */
		fputc(d,fp);
		d=0xAC;
		fputc(d,fp);
		d=0x00;
		fputc(d,fp);
		d=0x00;
		fputc(d,fp);
		d=0x10;						/* Byte rate */
		fputc(d,fp);
		d=0xB1;
		fputc(d,fp);
		d=0x02;
		fputc(d,fp);
		d=0x00;
		fputc(d,fp);
		d=0x04;						/* Block Align */
		fputc(d,fp);
		d=0x00;
		fputc(d,fp);
		d=0x10;						/* Bits Per Sample */
		fputc(d,fp);
		d=0x00;
		fputc(d,fp);
		d='d';						/* SubChunk2 ID */
		fputc(d,fp);
		d='a';
		fputc(d,fp);
		d='t';
		fputc(d,fp);
		d='a';
		fputc(d,fp);
		d=0xC0;						/* SubChunk2 Size */
		fputc(d,fp);
		d=0x7F;
		fputc(d,fp);
		d=0xA1;
		fputc(d,fp);
		d=0x00;
		fputc(d,fp);
		for(fileptr=0;fileptr<length;fileptr++){
			for(i=0;i<24;i++){
				d=0x00;				/* Data - Little Endian */
				fputc(d,fp);
				d=0xC0;
				fputc(d,fp);
				d=0x00;
				fputc(d,fp);
				d=0xC0;
				fputc(d,fp);
				d=0x00;
				fputc(d,fp);
				d=0xC0;
				fputc(d,fp);
				d=0x00;
				fputc(d,fp);
				d=0xC0;
				fputc(d,fp);

				d=0x00;
				fputc(d,fp);
				d=0x40;
				fputc(d,fp);
				d=0x00;
				fputc(d,fp);
				d=0x40;
				fputc(d,fp);
				d=0x00;
				fputc(d,fp);
				d=0x40;
				fputc(d,fp);
				d=0x00;
				fputc(d,fp);
				d=0x40;
				fputc(d,fp);
			}
			for(i=0;i<24;i++){
				d=0xFF;
				fputc(d,fp);
				d=0xBF;
				fputc(d,fp);
				d=0xFF;
				fputc(d,fp);
				d=0xBF;
				fputc(d,fp);
				d=0xFF;
				fputc(d,fp);
				d=0xBF;
				fputc(d,fp);
				d=0xFF;
				fputc(d,fp);
				d=0xBF;
				fputc(d,fp);

				d=0xFF;
				fputc(d,fp);
				d=0x3F;
				fputc(d,fp);
				d=0xFF;
				fputc(d,fp);
				d=0x3F;
				fputc(d,fp);
				d=0xFF;
				fputc(d,fp);
				d=0x3F;
				fputc(d,fp);
				d=0xFF;
				fputc(d,fp);
				d=0x3F;
				fputc(d,fp);
			}
		}
		for(i=0;i<12;i++){
			d=0x00;             /* Data - Little Endian */
			fputc(d,fp);
			d=0xC0;
			fputc(d,fp);
			d=0x00;
			fputc(d,fp);
			d=0xC0;
			fputc(d,fp);
			d=0x00;
			fputc(d,fp);
			d=0xC0;
			fputc(d,fp);
			d=0x00;
			fputc(d,fp);
			d=0xC0;
			fputc(d,fp);

			d=0x00;
			fputc(d,fp);
			d=0x40;
			fputc(d,fp);
			d=0x00;
			fputc(d,fp);
			d=0x40;
			fputc(d,fp);
			d=0x00;
			fputc(d,fp);
			d=0x40;
			fputc(d,fp);
			d=0x00;
			fputc(d,fp);
			d=0x40;
			fputc(d,fp);
		}
		fclose(fp);
	}
	else{
		printf("\nError opening files...\n");
		exit(1);
	}
	printf("\jitter3\n\n");
	printf("Press a key to continue...\n");
	getch();
	exit(0); 
} 

